<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdatePlanning StructType
 * @subpackage Structs
 */
abstract class UpdatePlanning extends AbstractStructBase
{
    /**
     * The ActivateAutoNumbering
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $ActivateAutoNumbering;
    /**
     * The TransferDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $TransferDate;
    /**
     * Constructor method for UpdatePlanning
     * @uses UpdatePlanning::setActivateAutoNumbering()
     * @uses UpdatePlanning::setTransferDate()
     * @param bool $activateAutoNumbering
     * @param string $transferDate
     */
    public function __construct($activateAutoNumbering = null, $transferDate = null)
    {
        $this
            ->setActivateAutoNumbering($activateAutoNumbering)
            ->setTransferDate($transferDate);
    }
    /**
     * Get ActivateAutoNumbering value
     * @return bool
     */
    public function getActivateAutoNumbering()
    {
        return $this->ActivateAutoNumbering;
    }
    /**
     * Set ActivateAutoNumbering value
     * @param bool $activateAutoNumbering
     * @return \StructType\UpdatePlanning
     */
    public function setActivateAutoNumbering($activateAutoNumbering = null)
    {
        // validation for constraint: boolean
        if (!is_null($activateAutoNumbering) && !is_bool($activateAutoNumbering)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($activateAutoNumbering, true), gettype($activateAutoNumbering)), __LINE__);
        }
        $this->ActivateAutoNumbering = $activateAutoNumbering;
        return $this;
    }
    /**
     * Get TransferDate value
     * @return string
     */
    public function getTransferDate()
    {
        return $this->TransferDate;
    }
    /**
     * Set TransferDate value
     * @param string $transferDate
     * @return \StructType\UpdatePlanning
     */
    public function setTransferDate($transferDate = null)
    {
        // validation for constraint: string
        if (!is_null($transferDate) && !is_string($transferDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($transferDate, true), gettype($transferDate)), __LINE__);
        }
        $this->TransferDate = $transferDate;
        return $this;
    }
}
